/* Start Golobel Sules */
* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
:root {
  --min-color: #2196f3;
  --min-color-alt: #1787e0;
  --min-color-white: #ffffff;
  --min-color-3-ddd: #ddd;
  --min-transition: 0.3s;
  --main-padding-top: 100px;
  --main-padding-bottom: 100px;
  --section-background: #ececec;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Cairo", sans-serif;
  background-color: #cfe6e8;
}
a {
  text-decoration: none;
}
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.container {
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;
}
/* Small */
@media (min-width: 768px) {
  .container {
    width: 750px;
  }
}
/* Mudium */
@media (min-width: 992px) {
  .container {
    width: 970px;
  }
}
/* Large */
@media (min-width: 1200px) {
  .container {
    width: 1170px;
  }
}
.main-title {
  margin: 0 auto 80px;
  border: 2px solid black;
  padding: 10px 20px;
  font-size: 30px;
  width: fit-content;
  position: relative;
  z-index: 1;
  transition: var(--min-transition);
}
.main-title::before,
.main-title::after {
  content: "";
  position: absolute;
  width: 12px;
  height: 12px;
  background-color: var(--min-color);
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
}
.main-title::before {
  left: -30px;
}
.main-title::after {
  right: -30px;
}
.main-title:hover::before {
  z-index: -1;
  animation: left-move 0.5s linear forwards;
}
.main-title:hover::after {
  z-index: -1;
  animation: right-move 0.5s linear forwards;
}
.main-title:hover {
  color: var(--min-color-white);
  border: 2px solid var(--min-color-white);
  transition-delay: 0.5s;
}
.spikes {
  position: relative;
}
.spikes::after {
  content: "";
  position: absolute;
  right: 0;
  width: 100%;
  height: 30px;
  z-index: 1;
  background-image: linear-gradient(135deg, white 25%, transparent 25%),
    linear-gradient(225deg, white 25%, transparent 25%);
  background-size: 40px 40px;
}
.dots {
  background-image: url(../imges/dots.png);
  height: 186px;
  width: 204px;
  background-repeat: no-repeat;
  position: absolute;
}
.dots-up {
  top: 200px;
  right: 0;
}
.dots-down {
  bottom: 200px;
  left: 0;
}
@media (max-width: 991px) {
  .dots {
    display: none;
  }
}
/* End Golobel Sules */
/* Start Projekte */
.container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(330px, 1fr));
  gap: 40px;
  margin-top: 100px;
  margin-bottom: 100px;
}
.container .box {
  border-radius: 8px;
}
.last-one {
  display: flex;
  margin-bottom: 50px;
  border: 1px solid var(--min-color);
  width: fit-content;
  padding: 13px;
  margin: 0 auto;
  margin-bottom: 50px;
  border-radius: 15px;
  transition: var(--min-transition);
}
.last-one:hover {
  padding-left: 30px;
  padding-right: 30px;
  background-color: var(--min-color);
}
.last-one a {
  font-size: 24px;
  color: var(--min-color);
}
.last-one a:hover {
  color: var(--min-color-white);
}

.container .card {
  width: 400px;
  aspect-ratio: 1 / 0.7;
  border-radius: 8px;
  position: relative;
  cursor: pointer;
}
.container .card .image-box {
  width: 100%;
  height: 100%;
  border-radius: inherit;
}
.container .card .image-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: 50% 90%;
  border-radius: inherit;
  transition: 0.5s ease-in-out;
}
.container .card::after {
  content: "";
  position: absolute;
  inset: 0;
  border: 2px solid #ffffff;
  border-radius: inherit;
  opacity: 0;
  transition: 0.4s ease-in-out;
}
.container .card:hover img {
  filter: grayscale(1) brightness(0.4);
}
.container .card:hover::after {
  opacity: 1;
  inset: 20px;
}
.container .card .content {
  width: 80%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #ffffff;
}
.container .content h2,
.container .content p {
  opacity: 0;
  transition: 0.4s 0.2s ease;
}
.container .content h2 {
  margin-bottom: 12px;
  scale: 0.7;
}
.container .content p {
  font-size: 14px;
  line-height: 1.5;
  color: #d1d1d1;
  transform: translateY(50%);
}
.container .card:hover .content h2 {
  scale: 1;
  opacity: 1;
}
.container .card:hover .content P {
  opacity: 1;
  transform: translateY(0);
}
/* End Projekte */
